Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235198 - ipmitool doesn't propose to hide the key as '-a' does for password.
Summary: ipmitool doesn't propose to hide the key as '-a' does for password.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: OpenIPMI
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 238970
TreeView+ depends on / blocked
 
Reported: 2007-04-04 13:50 UTC by Jose Plans
Modified: 2018-10-19 22:41 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0681
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 15:57:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
ipmitool-K-enhancement.patch (deleted)
2007-04-04 13:50 UTC, Jose Plans
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0681 normal SHIPPED_LIVE OpenIPMI bug fix update 2007-11-14 16:33:03 UTC

Description Jose Plans 2007-04-04 13:50:26 UTC
Description of problem:
When using ipmitool, a user can authenticate with a key and/or a password.
If the user does not want to have his/her password shown in a ps listing, they
can use the option '-a' to be prompted for it and not appear in the PID/cmdline.
But if they want to use a key, this one will be always shown... as there is no
possibility to be prompted for the key.

I believe this is a bug and could be treated as a very low security issue as
sysadmins do not want users to know their IPMI key.

Version-Release number of selected component (if applicable):
OpenIPMI-1.4.14 - ipmitool-1.8.7

How reproducible:
Always

Steps to Reproduce:
1. ipmitool -v -k 12345323 -U root -a -H x4600-ilom.gsslab.rdu.redhat.com shell
2. ps

25470 pts/0    S+     0:00 ipmitool -v -k 12345323 -U root -a -H
x4600-ilom.gsslab.rdu.redhat.com shell
  
Actual results:
ps shows the key.

Expected results:
An option to avoid that key, -K with this patch.

Additional info:
http://sourceforge.net/tracker/index.php?func=detail&aid=1694175&group_id=95200&atid=610553
Sent upstream.

Comment 1 Jose Plans 2007-04-04 13:50:26 UTC
Created attachment 151658 [details]
ipmitool-K-enhancement.patch

Comment 2 Jose Plans 2007-04-04 13:53:10 UTC
This patch allows the user to run :
ipmitool -v -K -U root -a -H x4600-ilom.gsslab.rdu.redhat.com shell

And get prompted:
Key:
Password:

so in ps they get :
7291 pts/0    S+     0:00 ipmitool -v -K -U root -a -H
x4600-ilom.gsslab.rdu.redhat.com shell

instead so the key is hidden.

Comment 3 RHEL Product and Program Management 2007-05-09 05:00:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Phil Knirsch 2007-06-11 16:02:00 UTC
Good patch. Devel ACK.

Read ya, Phil

Comment 10 errata-xmlrpc 2007-11-15 15:57:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0681.html



Note You need to log in before you can comment on or make changes to this bug.